clan::LineRay2x< Type > Class Template Reference - ClanLib SDK
Description: clan::LineRay2x< Type > Class Template Reference

Public Member Functions | Public Attributes | List of all members
clan::LineRay2x< Type > Class Template Reference
clanCore Math

2D line ray More...

`#include <line_ray.h>`

## Public Member Functions
| LineRay2x ()
| LineRay2x (const LineRay2x< Type > &copy)=default
| LineRay2x (const Vec2< Type > &point_p, const Vec2< Type > &direction_v)
bool | operator!= (const LineRay2x< Type > &line) const
| != operator.
LineRay2x< Type > & | operator= (const LineRay2x< Type > &copy)=default
| = operator.
bool | operator== (const LineRay2x< Type > &line) const
| == operator.

## Public Attributes
Vec2< Type > | p
| Start point on the line ray.
Vec2< Type > | v

## Detailed Description

template<typename Type>
class clan::LineRay2x< Type >

2D line ray

A ray has a start point and a direction
These line templates are defined for: int (LineRay2i), float (LineRay2f), double (LineRay2d)

## Constructor & Destructor Documentation

## ◆ LineRay2x() [1/3]

template<typename Type>

clan::LineRay2x< Type >::LineRay2x | ( |  | ) |
| inline

References p, and v.

Referenced by LineRay2x(), operator!=(), operator=(), and operator==().

## ◆ LineRay2x() [2/3]

template<typename Type>

clan::LineRay2x< Type >::LineRay2x | ( | const LineRay2x< Type > & | copy | ) |
| default

References LineRay2x().

## ◆ LineRay2x() [3/3]

template<typename Type>

clan::LineRay2x< Type >::LineRay2x | ( | const Vec2< Type > & | point_p,
|  | const Vec2< Type > & | direction_v )
| inline

References p, and v.

## Member Function Documentation

## ◆ operator!=()

template<typename Type>

bool clan::LineRay2x< Type >::operator!= | ( | const LineRay2x< Type > & | line | ) | const
| inline

!= operator.

References LineRay2x(), clan::line, p, and v.

## ◆ operator=()

template<typename Type>

LineRay2x< Type > & clan::LineRay2x< Type >::operator= | ( | const LineRay2x< Type > & | copy | ) |
| default

= operator.

References LineRay2x().

## ◆ operator==()

template<typename Type>

bool clan::LineRay2x< Type >::operator== | ( | const LineRay2x< Type > & | line | ) | const
| inline

== operator.

References LineRay2x(), clan::line, p, and v.

## Member Data Documentation

## ◆ p

template<typename Type>

Vec2<Type> clan::LineRay2x< Type >::p

Start point on the line ray.

Referenced by LineRay2x(), LineRay2x(), operator!=(), and operator==().

## ◆ v

template<typename Type>

Vec2<Type> clan::LineRay2x< Type >::v

Referenced by LineRay2x(), LineRay2x(), operator!=(), and operator==().

The documentation for this class was generated from the following file:

- line_ray.h